> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amberdata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Stablecoins Supported Assets & Insights

> Retrieve the collection of supported stablecoins and insights.

<Note>
  If the `blockchain` query parameter is not provided, the API will return data from all of the supported chains.
</Note>

<Warning>
  Contract addresses for an asset are **unique** per blockchain. If you would like to see the analytics for a specific asset, say **USDC** across all chains, use the `assetSymbol` query parameter and omit the `blockchain` query parameter.
</Warning>


## OpenAPI

````yaml get /analytics/stablecoins/information
openapi: 3.1.0
info:
  title: blockchain-api
  version: '2'
servers:
  - url: https://api.amberdata.com/blockchains
security:
  - sec0: []
paths:
  /analytics/stablecoins/information:
    get:
      summary: Stablecoins Supported Assets & Insights
      description: Retrieve the collection of supported stablecoins and insights.
      operationId: stablecoins-information-gold
      parameters:
        - name: assetSymbol
          in: query
          description: '[**optional**] The symbol of the asset to filter the dataset by'
          schema:
            type: string
          required: false
        - name: blockchain
          in: query
          description: '[**optional**] The name slug of the chain to filter the dataset by'
          schema:
            type: string
            enum:
              - arbitrum-mainnet
              - avalanche-mainnet
              - base-mainnet
              - bnb-mainnet
              - ethereum-mainnet
              - polygon-mainnet
              - optimism-mainnet
              - tron-mainnet
          required: false
      responses:
        '200':
          description: Successful request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code
                    example: 200
                  title:
                    type: string
                    description: Status title
                    example: OK
                  description:
                    type: string
                    description: Status description
                    example: Successful request
                  payload:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            analytics:
                              type: array
                              items:
                                type: string
                              description: Available analytics for this asset
                              example:
                                - Transfers
                            assetAddresses:
                              type: array
                              items:
                                type: object
                                properties:
                                  address:
                                    type: string
                                    description: Asset contract address on the blockchain
                                    example: '0xfd086bc7cd5c481dcc9c85ebe478a1c0b69fcbb9'
                                  blockchain:
                                    type: string
                                    description: Blockchain network identifier
                                    example: arbitrum-mainnet
                                  decimals:
                                    type: integer
                                    description: Number of decimal places for the asset
                                    example: 6
                                required:
                                  - address
                                  - blockchain
                                  - decimals
                              description: >-
                                List of asset addresses across different
                                blockchains
                              example:
                                - address: '0xfd086bc7cd5c481dcc9c85ebe478a1c0b69fcbb9'
                                  blockchain: arbitrum-mainnet
                                  decimals: 6
                                - address: '0x9702230a8ea53601f5cd2dc00fdbc13d4df4a8c7'
                                  blockchain: avalanche-mainnet
                                  decimals: 6
                                - address: '0x55d398326f99059ff775485246999027b3197955'
                                  blockchain: bnb-mainnet
                                  decimals: 18
                                - address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                                  blockchain: ethereum-mainnet
                                  decimals: 6
                                - address: '0x94b008aa00579c1307b0ef2c499ad98a8ce58e58'
                                  blockchain: optimism-mainnet
                                  decimals: 6
                                - address: '0xc2132d05d31c914a87c6611c10748aeb04b58e8f'
                                  blockchain: polygon-mainnet
                                  decimals: 6
                                - address: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
                                  blockchain: tron-mainnet
                                  decimals: 6
                            assetName:
                              type: string
                              description: Full name of the asset
                              example: Tether USD
                            assetSymbol:
                              type: string
                              description: Symbol/ticker of the asset
                              example: USDT
                          required:
                            - analytics
                            - assetAddresses
                            - assetName
                            - assetSymbol
                        description: Array of asset information objects
                      metadata:
                        type: object
                        description: Additional metadata for the response
                        example: {}
                    required:
                      - data
                      - metadata
                required:
                  - status
                  - title
                  - description
                  - payload
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````